Name:				plasma-applet-weather-widget
Version:			1.6.7
Release:			1%{?dist}
Summary:			Plasma applet for displaying weather information
License:			GPLv2+
Url:				https://github.com/kotelnik/plasma-applet-weather-widget
Source0:			https://github.com/kotelnik/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:		extra-cmake-modules, kf5-rpm-macros, kf5-plasma-devel, libappstream-glib
BuildRequires:		qt5-qtdeclarative-devel, gettext-devel, desktop-file-utils, appstream-qt-devel

%description
Plasma 5 applet for displaying weather information from yr.no server

%prep
%setup -qn %{name}-%{version}

%build
%{cmake_kf5}

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name} --all-name

%check
desktop-file-validate $RPM_BUILD_ROOT%{_kf5_datadir}/kservices5/plasma-applet-org.kde.weatherWidget.desktop
appstream-util validate-relax --nonet $RPM_BUILD_ROOT%{_kf5_metainfodir}/org.kde.weatherWidget.appdata.xml

%files -f %{name}.lang
%doc README.md
%license LICENSE
%{_kf5_qmldir}/org/kde/private/weatherWidget/libplasmoidplugin.so
%{_kf5_qmldir}/org/kde/private/weatherWidget/qmldir
%{_kf5_metainfodir}/org.kde.weatherWidget.appdata.xml
%{_kf5_datadir}/kservices5/plasma-applet-org.kde.weatherWidget.desktop
%{_kf5_datadir}/plasma/plasmoids/org.kde.weatherWidget/

%post
%{_bindir}/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
%{_bindir}/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%changelog
* Wed Aug 17 2016 Gerald Cox <gbcox@fedoraproject.org> 1.6.7-1
- Initial build for Fedora
